apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: oauth2-proxy-longhorn-ingress
  namespace: longhorn-system
  annotations:
    kubernetes.io/ingress.class: nginx
spec:
  rules:
    - host: longhorn.prod.panic.haus
      http:
        paths:
          - path: /oauth2
            pathType: Prefix
            backend:
              service:
                name: oauth2-proxy-longhorn-service
                port:
                  number: 4180
